function get14Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<14;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 14) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 14)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get16Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<16;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 16) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 16)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get18Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<18;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 18) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 18)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get20Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<20;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 20) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 20)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get22Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<22;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 22) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 22)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get26Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<26;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 26) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 26)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get29Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<29;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 29) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 29)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get30Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<30;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 30) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 30)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get32Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<32;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 32) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 32)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get34Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<34;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 34) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 34)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get36Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<36;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 36) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 36)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get40Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<40;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 40) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 40)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}

function get52Length(str)
{ 
var tmp = 0;
var len = 0;
var okLen = 0
for(var i=0;i<52;i++)
{
if(str.charCodeAt(i)>255)
tmp += 2 
else
len += 1
okLen += 1
if(tmp + len == 52) 
{
return (str.substring(0,okLen));
break;
}
if(tmp + len > 52)
{
return (str.substring(0,okLen - 1) + "&nbsp;"); 
break;
}
}
}